CUfileIOParams(3)

NAME
CUfileIOParams

SYNOPSIS

#include <cufile.h>

  Data Fields

void * cookie
CUfileHandle_t fh
CUfileBatchMode_t mode
CUfileOpcode_t opcode
union {
struct {
void * devPtr_base
off_t devPtr_offset
off_t file_offset
size_t size
} batch
} u

Field Documentation

  struct { ... } CUfileIOParams::batch

  void* CUfileIOParams::cookie

  void* CUfileIOParams::devPtr_base

  off_t CUfileIOParams::devPtr_offset

  CUfileHandle_t CUfileIOParams::fh

  off_t CUfileIOParams::file_offset

  CUfileBatchMode_t CUfileIOParams::mode

  CUfileOpcode_t CUfileIOParams::opcode

  size_t CUfileIOParams::size

  union { ... } CUfileIOParams::u

Author

Generated automatically by Doxygen for GPUDirect Storage from the source code.